<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.sys.mapper.WechatAccountConfigMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.wechat.model.WechatAccountConfig" >
    <id column="WECHAT_ACCOUNT_CONFIG_ID" property="wechatAccountConfigId" jdbcType="BIGINT" />
    <result column="WECHAT_ACCOUNT_ID" property="wechatAccountId" jdbcType="BIGINT" />
    <result column="APP_ID" property="appId" jdbcType="VARCHAR" />
    <result column="APP_SECRET" property="appSecret" jdbcType="VARCHAR" />
    <result column="ACCESS_TOKEN" property="accessToken" jdbcType="VARCHAR" />
    <result column="URL" property="url" jdbcType="VARCHAR" />
    <result column="SECRET_TYPE" property="secretType" jdbcType="CHAR" />
    <result column="ENCODING_AES_KEY" property="encodingAesKey" jdbcType="VARCHAR" />
    <result column="CREATE_BY" property="createBy" jdbcType="BIGINT" />
    <result column="CREATE_TIME" property="createTime" jdbcType="CHAR" />
    <result column="UPDATE_BY" property="updateBy" jdbcType="BIGINT" />
    <result column="UPDATE_TIME" property="updateTime" jdbcType="CHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    WECHAT_ACCOUNT_CONFIG_ID, WECHAT_ACCOUNT_ID, APP_ID, APP_SECRET, ACCESS_TOKEN, URL, 
    SECRET_TYPE, ENCODING_AES_KEY, CREATE_BY, CREATE_TIME, UPDATE_BY, UPDATE_TIME
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from wechat_account_config
    where WECHAT_ACCOUNT_CONFIG_ID = #{wechatAccountConfigId,jdbcType=BIGINT}
  </select>
  <select id="selectByWechatAccountId" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from wechat_account_config
    where WECHAT_ACCOUNT_ID = #{wechatAccountId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from wechat_account_config
    where WECHAT_ACCOUNT_CONFIG_ID = #{wechatAccountConfigId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.wechat.model.WechatAccountConfig" >
    insert into wechat_account_config (WECHAT_ACCOUNT_CONFIG_ID, WECHAT_ACCOUNT_ID, 
      APP_ID, APP_SECRET, ACCESS_TOKEN, 
      URL, SECRET_TYPE, ENCODING_AES_KEY, 
      CREATE_BY, CREATE_TIME, UPDATE_BY, 
      UPDATE_TIME)
    values (#{wechatAccountConfigId,jdbcType=BIGINT}, #{wechatAccountId,jdbcType=BIGINT}, 
      #{appId,jdbcType=VARCHAR}, #{appSecret,jdbcType=VARCHAR}, #{accessToken,jdbcType=VARCHAR}, 
      #{url,jdbcType=VARCHAR}, #{secretType,jdbcType=CHAR}, #{encodingAesKey,jdbcType=VARCHAR}, 
      #{createBy,jdbcType=BIGINT}, #{createTime,jdbcType=CHAR}, #{updateBy,jdbcType=BIGINT}, 
      #{updateTime,jdbcType=CHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.wechat.model.WechatAccountConfig" >
    insert into wechat_account_config
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="wechatAccountConfigId != null" >
        WECHAT_ACCOUNT_CONFIG_ID,
      </if>
      <if test="wechatAccountId != null" >
        WECHAT_ACCOUNT_ID,
      </if>
      <if test="appId != null" >
        APP_ID,
      </if>
      <if test="appSecret != null" >
        APP_SECRET,
      </if>
      <if test="accessToken != null" >
        ACCESS_TOKEN,
      </if>
      <if test="url != null" >
        URL,
      </if>
      <if test="secretType != null" >
        SECRET_TYPE,
      </if>
      <if test="encodingAesKey != null" >
        ENCODING_AES_KEY,
      </if>
      <if test="createBy != null" >
        CREATE_BY,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="updateBy != null" >
        UPDATE_BY,
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="wechatAccountConfigId != null" >
        #{wechatAccountConfigId,jdbcType=BIGINT},
      </if>
      <if test="wechatAccountId != null" >
        #{wechatAccountId,jdbcType=BIGINT},
      </if>
      <if test="appId != null" >
        #{appId,jdbcType=VARCHAR},
      </if>
      <if test="appSecret != null" >
        #{appSecret,jdbcType=VARCHAR},
      </if>
      <if test="accessToken != null" >
        #{accessToken,jdbcType=VARCHAR},
      </if>
      <if test="url != null" >
        #{url,jdbcType=VARCHAR},
      </if>
      <if test="secretType != null" >
        #{secretType,jdbcType=CHAR},
      </if>
      <if test="encodingAesKey != null" >
        #{encodingAesKey,jdbcType=VARCHAR},
      </if>
      <if test="createBy != null" >
        #{createBy,jdbcType=BIGINT},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateBy != null" >
        #{updateBy,jdbcType=BIGINT},
      </if>
      <if test="updateTime != null" >
        #{updateTime,jdbcType=CHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.wechat.model.WechatAccountConfig" >
    update wechat_account_config
    <set >
      <if test="wechatAccountId != null" >
        WECHAT_ACCOUNT_ID = #{wechatAccountId,jdbcType=BIGINT},
      </if>
      <if test="appId != null" >
        APP_ID = #{appId,jdbcType=VARCHAR},
      </if>
      <if test="appSecret != null" >
        APP_SECRET = #{appSecret,jdbcType=VARCHAR},
      </if>
      <if test="accessToken != null" >
        ACCESS_TOKEN = #{accessToken,jdbcType=VARCHAR},
      </if>
      <if test="url != null" >
        URL = #{url,jdbcType=VARCHAR},
      </if>
      <if test="secretType != null" >
        SECRET_TYPE = #{secretType,jdbcType=CHAR},
      </if>
      <if test="encodingAesKey != null" >
        ENCODING_AES_KEY = #{encodingAesKey,jdbcType=VARCHAR},
      </if>
      <if test="createBy != null" >
        CREATE_BY = #{createBy,jdbcType=BIGINT},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateBy != null" >
        UPDATE_BY = #{updateBy,jdbcType=BIGINT},
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      </if>
    </set>
    where WECHAT_ACCOUNT_CONFIG_ID = #{wechatAccountConfigId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.wechat.model.WechatAccountConfig" >
    update wechat_account_config
    set WECHAT_ACCOUNT_ID = #{wechatAccountId,jdbcType=BIGINT},
      APP_ID = #{appId,jdbcType=VARCHAR},
      APP_SECRET = #{appSecret,jdbcType=VARCHAR},
      ACCESS_TOKEN = #{accessToken,jdbcType=VARCHAR},
      URL = #{url,jdbcType=VARCHAR},
      SECRET_TYPE = #{secretType,jdbcType=CHAR},
      ENCODING_AES_KEY = #{encodingAesKey,jdbcType=VARCHAR},
      CREATE_BY = #{createBy,jdbcType=BIGINT},
      CREATE_TIME = #{createTime,jdbcType=CHAR},
      UPDATE_BY = #{updateBy,jdbcType=BIGINT},
      UPDATE_TIME = #{updateTime,jdbcType=CHAR}
    where WECHAT_ACCOUNT_CONFIG_ID = #{wechatAccountConfigId,jdbcType=BIGINT}
  </update>
  
  <update id="updateWechatConnectStatus"  parameterType="com.bw.adv.module.wechat.model.WechatAccountConfig" >
    update wechat_account_config
    SET CONNECT_STATUS = #{connectStatus}
    WHERE WECHAT_ACCOUNT_CONFIG_ID = #{wechatAccountConfigId,jdbcType=BIGINT}
  </update>
</mapper>